{
  pkgs,
  lib,
  config,
  ...
}: let
  inherit (lib) getExe;
  inherit (config.home) homeDirectory;
  palette-hex = pkgs.lib.nix-rice.palette.toRgbHex pkgs.rice.palette;
in {
  ezOneShots = with pkgs; {
    xrdb = "${getExe xorg.xrdb} -load ${homeDirectory}/.Xresources";
  };
  home.packages = with pkgs; [
    xorg.xrdb
    culr
  ];
  xresources.properties = with palette-hex; {
    "*.foreground" = util.fg;
    "*.background" = util.bg;
    "*.cursorColor" = util.cursor;
    "*.selection_foreground" = util.fg_sel;
    "*.selection_background" = util.bg_sel;
    "*.color0" = normal.black;
    "*.color1" = normal.red;
    "*.color2" = normal.green;
    "*.color3" = normal.yellow;
    "*.color4" = normal.blue;
    "*.color5" = normal.magenta;
    "*.color6" = normal.cyan;
    "*.color7" = normal.white;
    "*.color8" = bright.black;
    "*.color9" = bright.red;
    "*.color10" = bright.green;
    "*.color11" = bright.yellow;
    "*.color12" = bright.blue;
    "*.color13" = bright.magenta;
    "*.color14" = bright.cyan;
    "*.color15" = bright.white;
  };
}
